LINUX.ORG.RU

Выпущен GIMP 2.10

 


5

4

Команда разработчиков GIMP объявила о выпуске версии 2.10. Публичный анонс был сделан на конференции Libre Graphics Meeting 2018, проходящей в эти дни в Севилье (Испания).

Ключевые новшества относительно версии 2.8:

  • добавлена поддержка обработки графики с точностью 16/32 разряда на цветовой канал целочисленно или с плавающей точкой;
  • реализована опциональная обработка в линейном пространстве RGB;
  • доступно 15 новых режимов смешивания, включая Pass-Through (по итогам треда на LOR);
  • управление цветом переписано и включено в ядро программы, теперь корректируется вывод на экран всех цветовых виджетов;
  • цветовые пространства CIE LCH и CIE LAB теперь используются в ряде инструментов;
  • работа некоторых фильтров ускорена за счёт мультитрединга;
  • добавлены инструменты трансформации Unified Transform, Handle Transform и Warp Transform;
  • переписанный инструмент градиентной заливки теперь позволяет редактировать градиенты прямо на холсте;
  • добавлено вращение и зеркалирование холста (в т.ч. по просьбе пользователя LOR);
  • рисование кистью ускорено за счёт использования отдельного потока;
  • добавлены просмотр и редактирование метаданных Exif, XMP, IPTC;
  • добавлена поддержка WebP, OpenEXR, RGBE, HGT;
  • улучшена поддержка TIFF, PNG, PSD, PDF, FITS;
  • добавлена предварительная обработка открываемых файлов raw с помощью darktable или RawTherapee (можно подключать свои плагины);
  • появилось порядка 80 фильтров на базе GEGL с предпросмотром на холсте, в том числе с регулируемым сравнением до/после обработки.

Подробный обзор новшеств на английском языке опубликован на сайте проекта. Для скачивания доступен исходный код. В ближайшее время появится сборка во Flatpak. Рассматривается возможность публикации AppImage.

Поскольку у проекта есть риск провалиться в очередной затяжной цикл разработки — теперь уже версии 3.0 с портом на GTK+3 — cтабильная ветка 2.10.х открыта для включения новых функций.

С момента выпуска версии 2.8 состав команды изменился: по статистике OpenHub на лидера проекта Михаэля Наттерера за последние 12 месяцев приходится 25% патчей, а не 80% как ранее. Заметную часть работы оттянули на себя Жеан Пажес и Эл (25% и 24% патчей соответственно).

Кроме того, за это время заметно выросла активность в проекте GEGL, которым руководит Эвинд Колас. Однако основная работа в обоих проектах по-прежнему выполняется лишь шестью участниками. Двое из них — Жеан и Эвинд — ведут персональные кампании на Patreon и Liberapay, к которым вы можете подключиться.

>>> Скачать

>>> AppImage-пакет (тестовые сборки)

>>> Статус пакета в репозиториях дистрибутивов (Repology)

>>> Подробности

★★★★★

Проверено: jollheef ()
Ответ на: комментарий от curufinwe

Тебе дали исходники, ссылка в тексте новости, собрать гимп из гита и использовать его можно было хоть да выхода релиза. Но если пользователи в упор не хотят знать, как пользоваться ОС, а хотят быть тупыми, то тут не ОС виновата.

Именно в этой ОС принято надрачивать на внешние зависимости вместо улучшения внутренностей программ. Чтобы собрать этот гимп, или установить собранный, из последнего коммита гита, нужно переделать кучу очень страшных зависимостей внутри этой ОС, попросту сделать её такой как на компе у разработчика гимпа. Просто доустановить что-то в каталог собираемой программы не достаточно, это вам не блендер или вмваре какой-нибудь а настоящий опенсорсный продукт, своими кишками опутывающий всю «новогоднюю ёлку» на которую устанавливается!

Napilnik ★★★★★ ()
Ответ на: комментарий от Exmor_RS

Зато теперь у тебя есть дополнительный источник софта

Не у всех он есть. Флатпак внедрили недавно и не до всех пользователей он доехал, притом даже у ранних его версий зависимости огого какие высокие - хрен в дистр вкорячишь не обновив glib2 и весь зависимый от неё софт.

Napilnik ★★★★★ ()
Ответ на: комментарий от Harald

тогда разработчики могли бы и сами собрать эту хрень и положить в свой уютненький репозиторий рядом с основным пакетом

Да, разработчикам больше нехер делать кроме как поддерживать репы для всего зоопарка линуксов.

AP ★★★★★ ()
Ответ на: комментарий от Napilnik

Используй другой формат: снап, аппимидж — пускай самый доступный и удобный победит.
Ну а пока есть трудности — если самодостаточные пакеты позволят линуксу сохранять пользователей которых он теряет как только те сталкиваются с трудностями при обновлении софта, то это благо.

Больше пользователей, больше софта.
ПО для удобства конечного пользователя, а не пользователь для разработчиков.

Тот кто любит трудности идёт собирает LFS и счастлив.

Exmor_RS ★★ ()
Ответ на: комментарий от AP

Да, разработчикам больше нехер делать кроме как поддерживать репы для всего зоопарка линуксов.

У блендера и без реп сборки нормально работают в куче дистров, потому что требования к системным либам предъявляются умеренные, а заумные зависимости не распыляются по системе. Что стоило гимповцам лет ~10 назад хотя-бы gegl и babl положить внетрь гимпа и собирать кучей. А после и остальную хрень запихнуть в программу, а после собирать сборки с разными требованиями к glibc. Блендеровцы смогли, потому что на раннем этапе с зависимостями и сборкой поступили правильно.

Napilnik ★★★★★ ()

Это большой шаг вперёд для работы с растром в GNU/Linux!

Ждём ебилдов…

r3lgar ★★★★★ ()
Ответ на: комментарий от Napilnik

Блендер вообще для меня входит в тройку лучшего и значимого СПО, на ряду с линукс-кернелом и гнутым-стеком.
Как бы я хотел растровый редактор на тулките блендера — GTK уже так опостылел.
Я бы вообще целое DE хотел бы оформленное в стиле блендера и на его тулките.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Используй другой формат: снап, аппимидж — пускай самый доступный и удобный победит.

Снап, хз что это и как запускать, а аппимагов для гимпа в тырнете нормальных не обнаружил. Те что находятся на гите, собраны с указанием фейковых зависимостей. написано что глибц нужен 2.15, а как запустишь, то оказывается что требования добегают до 2.18 Если бы у меня в дистре родной глибц был 2.18, то наверно и сам гимп скомпилял и установил.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

А на винде люди уже пользуются.
Чувак, ты не поверишь я тоже могу что угодно на линуксе собрать.

Не знаю что у тебя за дистр — ну это ещё один минуст линуксу как десктопной платформе в целом — реальная практика показывает, что нужна одна платформа, один формат пакета.

Это вообще блин проблема из ничего.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Как бы я хотел растровый редактор на тулките блендера — GTK уже так опостылел.

Проблемы у тебя:) ГТК2 нормально работает у обладателей мониторов без щетины ретины - окна квадратные, шрифты и цвета настраиваются, картинки есть - как-нибудь сойдёт.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Чувак установи последний фотошоп или пиксельматор — и у тебя больше не будет вопросов (именно установи и посмотри на реальной ОС, а не скриншотики в интернете).

Ты же не живёшь по стандартам 14 века?

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

реальная практика показывает, что нужна одна платформа, один формат пакета

В оффтопе 32 битные бинари обычно работают на куче версий. Платформы разные, но какие-то стандарты совместимости имеются. Наверно потому что все эти платформы принадлежат одному карману, а если линуксы сделать совместимыми, то пользователи поплывут из платных дистров туда где подешевле. От порядка произойдут убытки.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

В оффтопе 32 битные бинари обычно работают на куче версий.
Платформы разные, но какие-то стандарты совместимости имеются.

С чем ты споришь и что опровергаешь?
Пользователь скачивает установочный пакет и он работает порой даже на XP. Уж с поддержкой тухлых программ у винды всегда всё ОК.

пользователи поплывут из платных дистров туда где подешевле

Платные дистры зарабатывают на серверах и экспертизе — инсталяции для рабочих станций там денег особо не делают. И я не призывают отказываться от системы репозиториев и разделяемых либ на серверах, но десктопы это другой разговор.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Чувак установи последний фотошоп или пиксельматор — и у тебя больше не будет вопросов (именно установи и посмотри на реальной ОС, а не скриншотики в интернете).

Ты в натуре не поверишь, но мне в лом ради порисовать перезагружаться в маздай. Последний раз на нём втыкал в фотошоп лет 10 лет назад и однооконный интерфейс меня не впечатляет. Мелкие мониторы и досяра научили переключать кучу окон и мне это не в падлу, так зачем мне постоянно окно обвешанное по краям кисточками и сцаными тряпками? В большую часть времени их надо держать в другой комнате окне.

Napilnik ★★★★★ ()
Последнее исправление: Napilnik (всего исправлений: 1)
Ответ на: комментарий от Exmor_RS

С чем ты споришь и что опровергаешь?
Пользователь скачивает установочный пакет и он работает порой даже на XP. Уж с поддержкой тухлых программ у винды всегда всё ОК.

С тем что и на линуксах такое возможно, если писать чуть по другому.

Платные дистры зарабатывают на серверах и экспертизе — инсталяции для рабочих станций там денег особо не делают.

Но всё равно, этот рынок дарить не хотят.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

но мне в лом ради порисовать перезагружаться в маздай

Тебя никто не заставляет оставаться там жить — расширь кругозор, посмотри до чего дошла современная мысль и эстетика.

То что ты научился жить с чем-то, научился свыкаться — это не достоинство (в пример приведу жителей россии которые поголовно страдают выученной беспомощностью и часто закрывают глаза на любы грехи чиновников — вон даже пожара в ТЦ хватило, только на то чтобы люди вышли на площадь и жалобно промычали pooteenпамаги).

Ненависть к к винде (как и любая ненависть) это болезнь.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Ну извини, это логичное и обоснованное требование, которому большинство разработчиков следуют.

Большинство - но не все. И никаких гарантий никто не дает. Эти обязательства юридически никак не подкреплены, и как правило в явном виде даже не озвучиваются разработчиком. То есть это просто фантазии уровня гадания, выпустят или не выпустят.

Какие разработчики? Мейнтейнеры которые просто физически не могут собрать пакет «традиционным» для дистра способом просто под гнётом протухших зависимостей?

Вот почему я намекал про ликбез. Мейнтейнеры _физически_ всегда все могут. Они могут не собирать только по политическим причинам, а не физическим.

Нежелание запихнуть в дистрибутив с протухшими пакетами параллельно свежие библиотеки для приложения, которое их требует - это не техническая проблема, не «физическая», а просто вопрос политики дистрибутива.

Как мейнтейнеры дебиана не собирали deadbeef по политическим причинам, потому что пришлось бы нарушить некоторые правила дистрибутива. Но _физически_ никаких препятствий к этому не было, и сам разработчик выкладывал пакет под любой, в том числе протухший, дебиан.

Чувак я понимаю почему ты защищаешь репы: есть возможность искать в некоем центральном месте, которое хоть кем-то проверено, возможность установки множества программ одной командой в автоматическом режиме — и это прекрасные фичи — и все они могут быть в мире линукса реализованы легко и просто, это и происходит.

Об этом и речь.

Зато теперь у тебя есть дополнительный источник софта и нет необходимости страдать из-за вороха зависимостей и потом идти учить какую-то хрень которая тебе никогда больше не понадобится.

Во-первых, лично мне достаточно основного, старейшего и фундаментального источника - пакетов исходников аппстрима. И учить лично мне идти ничего не надо, я давно что нужно в этом плане выучил. Но речь не обо мне.

Посмотри вперед дальше чем на один шаг, и ты увидишь, что проблемы вороха зависимостей в перспективе флатпаками не решаются, а только обретают иную форму. Зависимости никуда не деваются. Если в случае, например, Gentoo, одна и та же версия приложения может быть собрана с разными версиями библиотек, именно теми которые уже есть в системе, наиболее оптимальным образом, то в случае с флатпаками каждое приложение тупо тянет все библиотеки, бессмысленно и беспощадно, просто чтобы пользователь мог быть максимально тупым. Но это же какая-то даже обидная для человечества цель.

curufinwe ★★★★★ ()
Ответ на: комментарий от Napilnik

С тем что и на линуксах такое возможно, если писать чуть по другому.

Эмм, ну да я знаю, проблема-то в репах и зависимостях.
Прикладному GUI софту зависимости больше вредят.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Ненависть к к винде (как и любая ненависть) это болезнь.

Бесспорно. Но от этого не легче. Хотя надо бы полечиться, то клавиатуру разломаю, то мышь. Как надо поработать в винде, так заканчивается нервным срывом.

curufinwe ★★★★★ ()
Последнее исправление: curufinwe (всего исправлений: 1)
Ответ на: комментарий от Exmor_RS

Тебя никто не заставляет оставаться там жить — расширь кругозор, посмотри до чего дошла современная мысль и эстетика.

Вообще-то когда я привожу скрины своего рабочего стола, ото от моих мыслей и кругозора у кучи зрителей случается шок. То им зелёный цвет окон с фиолетовой верхней полосочкой не нравится, то голубой цвет текстового поля.

То что ты научился жить с чем-то, научился свыкаться — это не достоинство

А может наоборот, однооконники свыклись с убогостью дизайна из-за своего неумения пользоваться кучей окон?

Ненависть к к винде (как и любая ненависть) это болезнь.

Там настроить систему не дают и оттого скучно. Игрокам-то пофиг, они кроме окна игры и браузера в ОС с остальным почти не сталкиваются.

Napilnik ★★★★★ ()
Ответ на: комментарий от Harald

Добавляешь 1–2 распространенных — приходят другие и начинают ныть.

AP ★★★★★ ()
Последнее исправление: AP (всего исправлений: 1)
Ответ на: комментарий от Napilnik

Там настроить систему не дают и оттого скучно.

То, что не дают настроить имеет причину более низкого уровня. И эта причина помимо прочего приводит к тому, что в винде постоянно что-то отваливается, а как его чинить, одному Биллу Гейтсу известно. Если же в линуксе даже серьезные проблемы, то как правило удается найти решение довольно быстро, потому что вся информация доступна.

curufinwe ★★★★★ ()
Ответ на: комментарий от curufinwe

Эти обязательства юридически никак не подкреплены, и как правило в явном виде даже не озвучиваются разработчиком.

Причём тут юриспурдэнция? Есть вещи которые просто понятны нормальным людям типа «поступай с другими так как хочешь чтобы поступали с тобой» (даже животные это понимают).

И учить лично мне идти ничего не надо, я давно что нужно в этом плане выучил. Но речь не обо мне.

«Ну моя хата с краю».

Посмотри вперед дальше чем на один шаг, и ты увидишь, что проблемы вороха зависимостей в перспективе флатпаками не решаются, а только обретают иную форму.

Смотрю, у макос и винды никаких проблем — да на 95 не работают проги, но это уже объективно не нужно (такой срок поддержки зависимостей адекватен), а вот софт 1-2-3-4-5 летней давности запускается на ура. И не нужно ничего учить, собирать и петь мантры типа УМВР/ЧЯНДТ/ХАТАСКРАЮ.

то в случае с флатпаками каждое приложение тупо тянет все библиотеки, бессмысленно и беспощадно, просто чтобы пользователь мог быть максимально тупым

ДА НАСРАТЬ, понимаешь? ПРОСТО НАСРАТЬ – я не хочу собирать ничего, и просто хочу новую версию когда она вышла. Пускай у программы будут те версии либ которые именно ей нужны.

ПУСКАЙ ДУБЛИРУЮТСЯ — ты же не носишь штаны 54 размера, потому что заводу удобнее одни на всех шить, не ешь какие-то продукты потому что владельцу магазина удобно только их закупать.

Быть тупым прекрасно, жизни одного человека не хватит на изучение всего и уж сборка ПО это последнее, что должно интересовать человека не связанного с разработкой в этом мире полном других интересных занятий.

Ты же мне тут рассказываешь как круто умеешь в мусорной корзине находить съедобные продукты и почти не грязную одежду — для нормального человека уметь таким заниматься это дно днищенское.

Exmor_RS ★★ ()
Ответ на: комментарий от curufinwe

а как его чинить, одному Биллу Гейтсу известно.

Так накатывать на системный раздел заначку из образа месячной давности.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

А может наоборот, однооконники свыклись с убогостью дизайна из-за своего неумения пользоваться кучей окон?
Там настроить систему не дают и оттого скучно.

Я тоже занимался настройкой системы когда-то, но потом научился работать и занялся более интересными вещами — дефолтная обоина и оформление ничуть не снижают моей продуктивности — иметь возможность настройки прекрасна, но зацикливаться на ней глупо.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Я тоже занимался настройкой системы когда-то, но потом научился работать и занялся более интересными вещами — дефолтная обоина и оформление ничуть не снижают моей продуктивности

Так можно и наждачкой подтираться, если повернуть её нужной стороной и хорошенько размять. Главное не напутать в технологии.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Умение пилить дизайн десктопа под себя это как раз «правильное» поворачивание наждачки.

Exmor_RS ★★ ()
Последнее исправление: Exmor_RS (всего исправлений: 2)
Ответ на: комментарий от Exmor_RS

Причём тут юриспурдэнция?

При том, что если ты работаешь работу, тебе нужны гарантии, что ты сможешь ее работать. Если я использую софт в работе за деньги, я должен иметь определенные гарантии. Вещи которые просто понятны тут не помогут.

Смотрю, у макос и винды никаких проблем — да на 95 не работают проги, но это уже объективно не нужно (такой срок поддержки зависимостей адекватен), а вот софт 1-2-3-4-5 летней давности запускается на ура. И не нужно ничего учить, собирать и петь мантры типа УМВР/ЧЯНДТ/ХАТАСКРАЮ.

Почему же ты хочешь использовать линукс, а не винду или мак? Я же не прихожу на винфак и не начинаю предлагать все под винду из сырцов собирать. Но почему-то каждые здешний виндузятник считает долгом проповедовать превращение линукса в винду.

ДА НАСРАТЬ, понимаешь? ПРОСТО НАСРАТЬ – я не хочу собирать ничего

А мне насрать на твои проблемы тогда. Удивительно, ты сначала говоришь про «поступай как хочешь чтобы поступали с тобой», а потом оказывается, тебе насрать капсом! Гениально.

Быть тупым прекрасно

Вот это ключевой момент. Меня не так уж волнует и возмущает чисто технически этот флатпак, или то что ты предлагаешь. Я даже согласен его использовать. Я пишу все это лишь потому, что у меня опять бомбануло от такой позиции. Я не могу принять людей, которые хотят стать обезьянами. Вы же уничтожаете человеческую цивилизацию.

curufinwe ★★★★★ ()
Ответ на: комментарий от Napilnik

Так накатывать на системный раздел заначку из образа месячной давности.

Да, но при этом теряется то что было изменено или установлено за месяц.

curufinwe ★★★★★ ()
Ответ на: комментарий от Exmor_RS

Умение пилить дизайн десктопа под себя это как раз «правильное» поворачивание наждачки.

Но гораздо хуже если у неё и вторая сторона не та что надо!

Napilnik ★★★★★ ()
Ответ на: комментарий от Exmor_RS

ПУСКАЙ ДУБЛИРУЮТСЯ — ты же не носишь штаны 54 размера, потому что заводу удобнее одни на всех шить,

Так флатпак же ровно это и предлагает - одни огромные штаны чтобы гарантированно на всех налезли!

curufinwe ★★★★★ ()
Ответ на: комментарий от curufinwe

Да, но при этом теряется то что было изменено или установлено за месяц.

С другой стороны, система чистится от вредных излишков накопленных за это время. Самое ценное не нужно складывать на системный раздел и нужно вести шпаргалку ценных изменений, это правило во многих ОС полезно.

Napilnik ★★★★★ ()
Ответ на: комментарий от curufinwe

Почему же ты хочешь использовать линукс, а не винду или мак?

Я использую все ОС.

Я же не прихожу на винфак и не начинаю предлагать все под винду из сырцов собирать. Но почему-то каждые здешний виндузятник считает долгом проповедовать превращение линукса в винду.

Суть линукса не ПО которое повязано зависимостями, а в выборге и возможности организации конструкций невозможных в винде или маке (хотя мак конечно идеальная десктопная ОС).
Ещё давай помнить — линукс это ядро, которое я нежно люблю.
Линуксовый десктоп это ад (который я ненавижу).

Я пишу все это лишь потому, что у меня опять бомбануло от такой позиции. Я не могу принять людей, которые хотят стать обезьянами. Вы же уничтожаете человеческую цивилизацию.

А с чего ты взял что ты прав в этой ситуации? Тебя лично никто не делает обезьяной (это уж ты сам). С чего ты взял что простота это плохо? Надо же математики-то дурачки, каждый день бьются над более простыми и понятными решениями проблем.

А мне насрать на твои проблемы тогда. Удивительно, ты сначала говоришь про «поступай как хочешь чтобы поступали с тобой», а потом оказывается, тебе насрать капсом! Гениально.

Ты что за бред несёшь? Насрать на то сколько там мегабайт в программе, они всё равно не весят как игры по 60ГБ. Ты блин прочитал что-то своё в моём сообщении и обиделся как баба.

Exmor_RS ★★ ()
Ответ на: комментарий от curufinwe

ПУСКАЙ ДУБЛИРУЮТСЯ — ты же не носишь штаны 54 размера, потому что заводу удобнее одни на всех шить,
Так флатпак же ровно это и предлагает - одни огромные штаны чтобы гарантированно на всех налезли!

Опять же читаем, то что хотим прочитать.
Короче, самостоятельные пакеты дают тебе свободу в выборе ПО, репозитории эту свободу забирают.

Exmor_RS ★★ ()
Ответ на: комментарий от Exmor_RS

Линуксовый десктоп это ад (который я ненавижу).

Ненависть к к винде (как и любая ненависть) это болезнь.

Ну, давай лечиться вместе тогда.

Вообще, я наоборот считаю что виндовый десктоп это ад. Поэтому когда можно не использовать винду, я ее не использую, и меня не волнует, как она будет развиваться и как должна была бы быть устроена. Люди используют винду, значит она свои функции выполняет и должна быть именно такой. А почему линукс должен быть как винда - я не понимаю. Нужна винда - она есть уже, зачем вторая?

С чего ты взял что простота это плохо?

Простота - хорошо. Нежелание иметь элементарные знания - плохо. Математики борются не за то, чтобы в школах не изучали геометрию Евклида. Хотя по твоей логике, нафиг она, хрень которая никогда не пригодится большинству. Я вот инженер-электрик, не историк, а эти теоремы мне не пригождаются ни разу ни в жизни ни в работе. Даже если возникает задача, она решается методами векторной алгебры. Но в школьной программе они есть.

Насрать на то сколько там мегабайт в программе, они всё равно не весят как игры по 60ГБ.

Я прочитал именно вот это, что ты и хотел сказать. А теперь делаем шаг вперед. Тебе плевать на проблемы с объемом, мне НЕ плевать на проблемы с объемом. Получается, тебе плевать на мои проблемы. Ну а мне тогда на твои, что я и написал. И обижаться я даже не думал, я с уважением отношусь к твоему мнению.

curufinwe ★★★★★ ()
Ответ на: комментарий от Exmor_RS

Короче, самостоятельные пакеты дают тебе свободу в выборе ПО, репозитории эту свободу забирают.

Битый час пытаюсь втолковать. Ты подменяешь понятия. Свободу тебе дает доступность исходников, и система, позволяющая из исходников установить любое приложение. А любые пакеты вторичны. В случае флатпака ты так же зависим от сборщика пакетов, как и в случае репозитория.

Определенные проблемы флатпак решает, другие - создает.

Простейший пример - я сейчас не могу установить последний гимп из флатпака, потому что это тянет 1.7 Гб, а свободно на диске 1.5 Гб. При этом из пакета дистрибутива, или из исходников я могу установить без проблем, ту же самую версию, за счет исключения дублирования.

curufinwe ★★★★★ ()
Ответ на: комментарий от AP

Что такое «классический импорт из RAW»?

Всё, понял. Есть gimp-ufraw.

pacify ★★★★★ ()
Ответ на: комментарий от curufinwe

Линуксовый десктоп это ад (который я ненавижу).
Ненависть к к к винде (как и любая ненависть) это болезнь.
Ну, давай лечиться вместе тогда.

А я и лечусь — как уже писал использую все ОС и на реальном опыте знаю плюсы и минусы всех систем, не сижу в одной скорлупке годами, думая как у них там за бугром всё прогнило, а я вся такая внезапная думаю о судьбах мира и свободе.

и меня не волнует, как она будет развиваться и как должна была бы быть устроена

А меня волнует, моя хата не с краю.

Хотя по твоей логике, нафиг она, хрень которая никогда не пригодится большинству.

Вообще я бы добрую половину предметов в школе упразднил и полностью изменил само преподавание и образование — оно настолько прогнило, что только отбивает у детей желание учиться и интерес к миру.

Нежелание иметь элементарные знания - плохо

Вот тут очень тонко и осторожно надо. Ты говоришь об элементарных знаниях как о чём-то, что должно быть у каждого и да такой набор знаний должен быть у каждого, письмо/чтение, счёт, знание простейших химических и физических законов — это нужно и хорошо.

А вот сборка ПО даже если это простое знание (на самом деле нифига не простое и содержит в себе много абстракций) — не означает, что оно должно быть у каждого.

Тебе плевать на проблемы с объемом, мне НЕ плевать на проблемы с объемом.

Да боже мой, вот поэтому я и говорю самому поставить на реально железе дургие ОС и посмотреть на место и на программы. Нет там такой проблемы с распуханием, у тебя жёсткий диск в гигабайт 300-500 минимум, даже ноуте — этого сполна хватит и под систему и под софт.

Для всяких распбери-паев нормально иметь отдельные сборки или использовать карточки большего объёма. Эта проблема не стоит того чтобы так противиться самодостаточным пакетам.

Exmor_RS ★★ ()
Ответ на: комментарий от curufinwe

Свободу тебе дает доступность исходников, и система, позволяющая из исходников установить любое приложение.

Только свободу смотреть в исходники. Подменяешь понятия ты.
Ты так говоришь СВОБОДА — будто блин я уже получаю финансовую свободу и могу жить абсолютно как я хочу.
Между свободой пыриться в исходники и свободой установки любой версии софта я выберу последнее.

Простейший пример - я сейчас не могу установить последний гимп из флатпака, потому что это тянет 1.7 Гб, а свободно на диске 1.5 Гб. При этом из пакета дистрибутива, или из исходников я могу установить без проблем, ту же самую версию, за счет исключения дублирования.

Технология молода, такие вот жертвы.
И да, сходи посмотри сколько весит установочный пакет для гимп (~128МБ) — в линуксе что-то очень сильно сломано, раз пакет так распухает.

свободно на диске 1.5 Гб

Ты конечно извини, но наверное тебе надо пойти на работу или перестать запускать гимп на старой флешке на распбери, я не знаю.
Ты конечно можешь сказать, что я плюю на твои проблемы, но это уже ни в какие рамки.

В случае флатпака ты так же зависим от сборщика пакетов, как и в случае репозитория.

Алльёооу, мне не нужно ждать год до выхода новой версии дистра и кусать логти пока пользователи на винде ставят тоже самое

Exmor_RS ★★ ()
Ответ на: комментарий от pacify

Есть gimp-ufraw.

Он так есть, что его практически нет. Ты бы хоть nUfraw поставил. Он сам полудохлый, но хоть поновее.

AP ★★★★★ ()
Последнее исправление: AP (всего исправлений: 1)
Ответ на: комментарий от Exmor_RS

Я винду вижу каждый день считай, несмотря на все нежелание, и знаю прекрасно как там. Я говорю, что не имею желания учить пользователей винды жить по законам линукса, это абсурдно.

А вот сборка ПО даже если это простое знание (на самом деле нифига не простое и содержит в себе много абстракций) — не означает, что оно должно быть у каждого.

Да что там знать не пойму, две команды? Это под винду собирать целая наука, но не под линукс. К тому же в сырцах всегда есть мануал, с этими двумя или трнмя командами.

Нет там такой проблемы с распуханием, у тебя жёсткий диск в гигабайт 300-500 минимум, даже ноуте — этого сполна хватит и под систему и под софт.

Я знаю, но я же не про винду а про флатпак. Конкретный гимп в нем раздут, что не дает мне его поставить.

Для всяких распбери-паев нормально иметь отдельные сборки или использовать карточки большего объёма. Эта проблема не стоит того чтобы так противиться самодостаточным пакетам.

Это субъективное мнение, я точно так же могу сказать что проблема знания трех команд для сборки не стоит раздувания флатпаком.

Самодостаточным пакетам я не противлюсь, наоборот я много раз писал, когда заходила речь, что надо их делать, когда у приложения сложности с поддержкой во всех дистрибутивах. Если приложение мало кому нужно или сложное или проприетарное. Но не надо возводить это в абсолют и преподносить как панацею от бед десктопного линукса.

Кому надо, делали сто лет самодостаточные пакеты без всякого флатпака. А флатпак я вообще не понял, если честно. В нем же пакеты не самодостаточные, а есть зависимости как и в репах. И в аппимаже требования к наличию в системе определенных библиотек по факту есть.

curufinwe ★★★★★ ()

А круги/овалы, квадраты/прямоугольники и прямые еще не добавили в ГУЙ? Только не рассказывайте сказки про «никому не нужно».

anonymous ()
Ответ на: комментарий от Exmor_RS

Только свободу смотреть в исходники. Подменяешь понятия ты. Ты так говоришь СВОБОДА — будто блин я уже получаю финансовую свободу и могу жить абсолютно как я хочу. Между свободой пыриться в исходники и свободой установки любой версии софта я выберу последнее.

Очнись, свободу установить любую версию дает именно наличие исходников. Потому что бинарная сборка привязана к версиям библиотек, с которыми она собрана, а сами исходники - в намного меньшей степени. Что тебе любой гентушник растолкует. Свобода смотреть в исходники тут вообще никаким боком.

И да, сходи посмотри сколько весит установочный пакет для гимп

У меня, наверное, есть глаза и я видел сколько он весит конечно. Ничего не сломано, просто во флатпаке ВНЕЗАПНО есть зависимости, и по ним ставятся еще пакеты.

Ты конечно извини, но наверное тебе надо пойти на работу или перестать запускать гимп на старой флешке на распбери, я не знаю. Ты конечно можешь сказать, что я плюю на твои проблемы, но это уже ни в какие рамки.

Ну да, точно. Недавно у меня их было три, сейчас только две, плюс выплаты раз в квартал еще по одной. Вот видимо в этом и причина, нужно на шести работах сразу работать.

А если серьезно, то почему ты не допускаешь что у меня диск 2 ТБ но весь забит и осталось только вот столько? Ну на самом деле, можно наконец думать хотя бы на шаг вперед?

Алльёооу, мне не нужно ждать год до выхода новой версии дистра и кусать логти пока пользователи на винде ставят тоже самое

У тебя флатпак с неба падает??? Его делает дядя. Или не делает, и тогда ты кусаешь локти. Пакет для репов делает дядя. Или не делает. В чем принципиальная разница?

В арче штатным путем я гимп 2.10 еще до релиза ставил. Ты можешь просто выбрать дистрибутив с подходящей для тебя политикой обновлений. Благо, как ты правильно пишешь, линукс это выбор.

А вот исходники по определению у тебя есть в момент релиза, иначе что релизнуто?

curufinwe ★★★★★ ()
Последнее исправление: curufinwe (всего исправлений: 2)
Ответ на: комментарий от curufinwe

К тому же в сырцах всегда есть мануал, с этими двумя или трнмя командами.

Вот тебе простая задачка: вкурить, что надо поставить в систему, чтобы получить GEGL с поддержкой umfpack для сборки одного из алгоритмов маттинга.

AP ★★★★★ ()
Ответ на: комментарий от anonymous

А круги/овалы, квадраты/прямоугольники и прямые еще не добавили в ГУЙ?

Некому особо этим заниматься.

Только не рассказывайте сказки про «никому не нужно».

Окей, не будем.

AP ★★★★★ ()
Ответ на: комментарий от AP

Это какая-то странная задача, или я недопонял суть проблемы, что там за алгоритм. Простая - это поставить ровно версию 2.10 релиза, как есть. И гегл для этого ставится как

./autogen.sh
  ./configure --prefix=/usr --with-sdl --with-openexr --with-librsvg \
    --with-libavformat --with-jasper --disable-docs \
    --enable-workshop \
	--enable-introspection=yes
  make
  make install

Скопипастить это в терминал, как я скопипастил в пост, не очень сложно.

А вообще я openmodelica в восьмом дебиане вручную собирал (а это пора бы к сборке LFS приравнять, три дня потратил), так что меня как ежа голым задом не напугаешь )))

curufinwe ★★★★★ ()
Последнее исправление: curufinwe (всего исправлений: 1)
Ответ на: комментарий от curufinwe

Намекаю: umfpack как минимум в дебиане называется совсем не umfpack.

AP ★★★★★ ()
Ответ на: комментарий от AP

Ну это понятно, просто вот конкретно я ставил недавно гимп из аура, и смотрю пкгбилды по которым все ставилось. Там по три команды на гегл и на гимп.

А вообще если такие проблемы, то почему бы вам не просвятить людей в файле INSTALL по мере возможности? )))

curufinwe ★★★★★ ()
Ответ на: комментарий от AP

Некому особо этим заниматься.

Да, понимаю, деньжат нет, поэтому «альтернатива Фотошопа» больше похожа на переусложненный Мспеинт.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.